Package org.codehaus.groovy.reflection

# Class GeneratedMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.reflection.GeneratedMetaMethod

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `GeneratedMetaMethod.Proxy`

public abstract class GeneratedMetaMethod extends MetaMethod

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GeneratedMetaMethod.DgmMethodRecord`
`static class`
`GeneratedMetaMethod.Proxy`

## Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

## Constructor Summary

Constructors
Constructor
Description
`GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

## Method Summary

Modifier and Type
Method
Description
`CachedClass`
`getDeclaringClass()`
Gets the class where this method is declared
`int`
`getModifiers()`
Returns the modifiers for this method
`String`
`getName()`
Returns the name of the method represented by this class
`Class`
`getReturnType()`
Access the return type for this method

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GeneratedMetaMethod

public GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)

## Method Details

### getModifiers

public int getModifiers()
Description copied from class: `MetaMethod`
Returns the modifiers for this method

Specified by:
  `getModifiers` in class `MetaMethod`
Returns:
  modifiers as an int.

### getName

public String getName()
Description copied from class: `MetaMethod`
Returns the name of the method represented by this class

Specified by:
  `getName` in class `MetaMethod`
Returns:
  name of this method

### getReturnType

public Class getReturnType()
Description copied from class: `MetaMethod`
Access the return type for this method

Specified by:
  `getReturnType` in class `MetaMethod`
Returns:
  the return type of this method

### getDeclaringClass

public CachedClass getDeclaringClass()
Description copied from class: `MetaMethod`
Gets the class where this method is declared

Specified by:
  `getDeclaringClass` in class `MetaMethod`
Returns:
  class of this method